/**
 * *******************************************************************************
 * @file    led_gpio.c
 * @author  Sebastian Mosquera Salazar
 * @brief   animation LEDs
 * @date    19-05-2023
 * @version v.1.0
 * *******************************************************************************
*/

/*Define to prevent recursive include inclusion ------------------------------------------------------------------------------------*/
#ifndef INC_LED_GPIO_H_
#define INC_LED_GPIO_H_

/** Includes -----------------------------------------------------------------------------------------------------------------------*/
#include "stm32f4xx_hal.h" // Include the HAL to use some of its functions

/* Exported defines ----------------------------------------------------------------------------------------------------------------*/
/* Exported types  -----------------------------------------------------------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------------------------------------------------------------*/
/* Exported macro  -----------------------------------------------------------------------------------------------------------------*/
/* Exported functions  -------------------------------------------------------------------------------------------------------------*/

void LED_GPIO_Setting_Init(GPIO_TypeDef* port, uint16_t pin);
void LED_GPIO_On(void);
void LED_GPIO_Off(void);
void LED_GPIO_Animation_Start(void);

#endif /* INC_LED_GPIO_H_ */
/*-------------------------------------------------------- END OF FILE -------------------------------------------------------------*/
